Gnome2::Druid(3)

NAME
Gnome2::Druid - wrapper for GnomeDruid

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gnome2::Druid

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gnome2::Druid->new

  list = Gnome2::Druid->new_with_window ($title, $parent, $close_on_cancel)

•   $title (string)

•   $parent (Gtk2::Window or undef)

•   $close_on_cancel (boolean)

Returns a GnomeDruid and a GtkWindow.

  $druid->append_page ($page)

•   $page (Gnome2::DruidPage)

  widget = $druid->back

  $druid->set_buttons_sensitive ($back_sensitive, $next_sensitive, $cancel_sensitive, $help_sensitive)

•   $back_sensitive (boolean)

•   $next_sensitive (boolean)

•   $cancel_sensitive (boolean)

•   $help_sensitive (boolean)

  widget = $druid->cancel

  widget = $druid->finish

  widget = $druid->help

  $druid->insert_page ($back_page, $page)

•   $back_page (Gnome2::DruidPage or undef)

•   $page (Gnome2::DruidPage)

  widget = $druid->next

  $druid->set_page ($page)

•   $page (Gnome2::DruidPage)

  $druid->prepend_page ($page)

•   $page (Gnome2::DruidPage)

  $druid->set_show_finish ($show_finish)

•   $show_finish (boolean)

  $druid->set_show_help ($show_help)

•   $show_help (boolean)

PROPERTIES

'show-finish' (boolean : default false : readable / writable)
    Show the 'Finish' button instead of the 'Next' button

'show-help' (boolean : default false : readable / writable)
    Show the 'Help' button

SIGNALS

cancel (Gnome2::Druid)
help (Gnome2::Druid)

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.